Last modified: 2014-10-14 00:31:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 62452 - VisualEditor: Hide action=visualeditor from the api.php documentation output, given it's internal and not intended for third party use
VisualEditor: Hide action=visualeditor from the api.php documentation output,...
Status: RESOLVED FIXED
Product: VisualEditor
Classification: Unclassified
General (Other open bugs)
unspecified
All All
: Low enhancement
: VE-deploy-2014-10-16
Assigned To: James Forrester
:
Depends on: 62905
Blocks: documentation
  Show dependency treegraph
 
Reported: 2014-03-09 11:08 UTC by Kelson [Emmanuel Engelhart]
Modified: 2014-10-14 00:31 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Kelson [Emmanuel Engelhart] 2014-03-09 11:08:38 UTC
It seems to be possible to get the Parsoid HTML/RDF output through the standard Mediawiki API, but I can't figure out how.

For example, this fails:
https://en.wikipedia.org/w/api.php?action=visualeditor&paction=parse&page=Main_Page&oldid=598252063

An example would be really helpful.
Comment 1 Gabriel Wicke 2014-03-10 15:33:43 UTC
The VE interface is private and not intended as a public / stable Parsoid API. It just proxies to http://parsoid-lb.eqiad.wikimedia.org/ and adds some more VE-specific information that is not needed if all you are interested in is the content. As it spins up an extra PHP worker it is also slower than accessing the Parsoid API directly.

The Parsoid API will be integrated in a new REST content API in the longer term. The URL will change at some point later this year, but the principle will remain the same.
Comment 2 James Forrester 2014-03-10 17:15:45 UTC
(In reply to Gabriel Wicke from comment #1)
> The VE interface is private and not intended as a public / stable Parsoid
> API. It just proxies to http://parsoid-lb.eqiad.wikimedia.org/ and adds some
> more VE-specific information that is not needed if all you are interested in
> is the content. As it spins up an extra PHP worker it is also slower than
> accessing the Parsoid API directly.
> 
> The Parsoid API will be integrated in a new REST content API in the longer
> term. The URL will change at some point later this year, but the principle
> will remain the same.

Should this be the Parsoid bug for that, then?
Comment 3 Gabriel Wicke 2014-03-10 17:50:37 UTC
(In reply to James Forrester from comment #2)
> Should this be the Parsoid bug for that, then?

My understanding is that this bug is about the VE API. http://parsoid-lb.eqiad.wikimedia.org/ links to the documentation at https://www.mediawiki.org/wiki/Parsoid#The_Parsoid_web_API, which has at least one example. This bug can probably be closed, but good to wait for Emmanuel's input.
Comment 4 Kelson [Emmanuel Engelhart] 2014-03-11 09:55:23 UTC
I see some kind of contradiction in proposing an API on one side  action=visualeditor @https://en.wikipedia.org/w/api.php and on the other side telling "this is a private API".

I fully understand that this is a work in progress, and thank you very much for you explanation Gabriel. But, IMO the current VE related API status is really puzzling for someone which is not embeded in the Parsoid/VE project.

Why not simply remove this documentation (action=visualeditor) as long as this is not really working for everybody?

NB: Regarding the Parsoid/API integration work itself, I think there is an other bug open somewhere about that.
Comment 5 James Forrester 2014-03-21 00:31:35 UTC
Have filed bug 62905 in MW's API to make this possible.
Comment 6 Alex Monk 2014-09-04 23:49:49 UTC
I took the upstream bug in MW core, might as well take this as well.
Comment 7 Gerrit Notification Bot 2014-10-14 00:26:29 UTC
Change 166519 had a related patch set uploaded by Jforrester:
Mark action=visualeditor as an internal API

https://gerrit.wikimedia.org/r/166519
Comment 8 Gerrit Notification Bot 2014-10-14 00:28:24 UTC
Change 166519 merged by jenkins-bot:
Mark action=visualeditor as an internal API

https://gerrit.wikimedia.org/r/166519

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links